
Registration Check UAT - Bug #12281

iOS – QC1240 – Inputter – ADD New Signer

06 October 2021 03:41 PM - Jimmy Phang

Status: Resolved Start date: 06 October 2021

Priority: Normal Due date:  

Assignee: Jimmy Phang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 2.60 hours

Description

Issue #1: when customer selected check box : “Copy from inputter”. Please only AUTO POPULATE fields as below:

- Name

- ktp

- email address

- mobile no

Issue #2: Add New Signer screen

- Please add CAPCHA on Add New Signer screen.

Issue #3: Add New Signer screen

- When check box: “Copy from inputter details” is checked, and Mandatory (Name, Ktp, email address & mobile no) are auto

populated. Please enable ADD SIGNER button.

- Please greyout (disable) the ADD SIGNER button when Mandatory (Name, Ktp, email address & mobile no) are not being

autopopulated or being inputted.

Issue #4: Not allow to add existing signer. Please cater message description while BE response <Status message> to FE

EN:

- Title: Error (Please cater)

- Description: Signer with this email address/ mobile number already exist on the list (BE response in <Status message>)

ID:

- Title: Error (Please cater)

- Description: Signer dengan alamat email/nomor telepon ini sudah ada di list (BE response in <Status message>)

iOS - Issue #5: when successfully added new signer

- Please follow android, no need successful popup message. After successful added, turn back to EDIT screen.

Data to use:

003 - Inputter (Pending Revision)

BVREG00000000000085

Acc Name: NAMA1 10810000173

KTP ID: 3171075511910004

email: tia.merlani@ocbcnisp.com

Mobile: 081180104881

REVjyhJvStLWfEj

History

#1 - 06 October 2021 03:41 PM - Jimmy Phang

- File iOS – QC1240 – Inputter – ADD New Signer.docx added

document added

#2 - 06 October 2021 10:40 PM - Yeow Yui Chuang

- Status changed from New to Resolved

- Assignee changed from Yeow Yui Chuang to Jimmy Phang

- % Done changed from 0 to 100
#3 - 07 October 2021 01:20 PM - Jimmy Phang

- Status changed from Resolved to Assigned

- Assignee changed from Jimmy Phang to Yeow Yui Chuang

Issue #1: after selected check box - please disable address field that being auto-populated.

#4 - 07 October 2021 05:25 PM - Yeow Yui Chuang

- Assignee changed from Yeow Yui Chuang to Jimmy Phang

#5 - 12 October 2021 06:05 PM - Jimmy Phang

- Assignee changed from Jimmy Phang to Yeow Yui Chuang

Please help to check on Add signer button. The button was not greyout (disable) when first get in. After clicking several time, then only greyout.

Supposed to be greyedout when gets into Add signer Screen after 4 mandatory fields are auto populated.

#6 - 12 October 2021 06:22 PM - Jimmy Phang

Please help to cater for error code. MCB.00000055 with below info:

EN:

- Title: Error (Please cater)

- Description: Signer with this email address/ mobile number already exist on the list (BE response in <Status message>)

ID:

- Title: Error (Please cater)

- Description: Signer dengan alamat email/nomor telepon ini sudah ada di list (BE response in <Status message>)

#7 - 12 October 2021 07:07 PM - Yeow Yui Chuang

- Assignee changed from Yeow Yui Chuang to Jimmy Phang

#8 - 21 October 2021 02:27 PM - Jimmy Phang

- Status changed from Assigned to Resolved

Tested good
